ما هو الحجب الجغرافي ولماذا تستخدمه الخدمات؟
الحجب الجغرافي (Geo-blocking) أن تمنع خدمة إلكترونية الوصول إليها، أو تغيّر ما تعرضه، بحسب البلد الذي تظن أنك فيه. وفي أغلب الحالات تستنتج الخدمة بلدك من عنوان IP الذي يصلها منه اتصالك، وقد تضيف إليه إشارات أخرى كبلد بطاقة الدفع أو رقم الهاتف.
كيف تعرف الخدمة بلدك
لا يحمل عنوان IP اسم بلد في داخله. الخدمة تسأل قاعدة بيانات تربط نطاقات العناوين بأماكن، ثم تجمع ذلك مع ما تعرفه من مصادر أخرى. هذه هي الإشارات المعتادة، من الأكثر استخداماً إلى الأقل:
- قاعدة بيانات المواقع الجغرافية للعناوين. تبنيها شركات متخصصة من سجلات تسجيل العناوين لدى السجلات الإقليمية، ومن قياسات الشبكة، ومن بيانات ينشرها مشغّلو الشبكات أنفسهم. والسجلات الإقليمية خمسة، وسوريا ضمن منطقة RIPE NCC. لكن بلد التسجيل هو بلد الجهة المالكة، وقد يُستخدم النطاق في بلد آخر. وللنشر الذاتي صيغة موحّدة في RFC 8805: ملف بسيط يذكر لكل نطاق عناوين البلد والمنطقة والمدينة. ويشرح RFC 9632 كيف يُعثر على هذا الملف عبر سجل العنوان في قاعدة بيانات السجل الإقليمي.
- خادم الأسماء الذي تستخدمه. حين تطلب اسم موقع، يرى خادم الأسماء الموثوق للموقع عنوان خادم الأسماء الذي سأله نيابة عنك، لا عنوانك. لذلك يتيح امتداد RFC 7871 أن يمرّر خادم الأسماء جزءاً مقتطعاً من عنوان المستخدم، فتختار شبكة توزيع المحتوى خادماً في منطقته.
- بيانات الحساب والدفع. بلد إصدار البطاقة، وعنوان الفوترة، ورمز البلد في رقم الهاتف، ومنطقة متجر التطبيقات المسجّل فيه الحساب.
- موقع الجهاز نفسه. التطبيقات تستطيع طلب الموقع من النظام. وفي المتصفح تشترط مواصفة تحديد الموقع الجغرافي إذناً صريحاً من المستخدم قبل مشاركة أي موقع مع الصفحة.
- إشارات ضعيفة. لغة المتصفح ومنطقته الزمنية تلمّح إلى المكان ولا تحدده. استخدامها في كشف التناقضات مشروح في كيف تكشف المواقع الـ VPN والبروكسي.
ودقة القاعدة الأولى عالية عادةً على مستوى البلد، وأضعف بكثير على مستوى المدينة. وتنص RFC 8805 نفسها على أن الأخطاء ممكنة في كل مرحلة، وأن للمستهلك أن يعامل البيانات المنشورة تلميحاً فقط. التفاصيل في تحديد الموقع الجغرافي من عنوان IP.
أين يُطبَّق الحجب
- عند حافة الشبكة. شبكة توزيع المحتوى تقرأ بلد العنوان قبل أن يصل الطلب إلى خادم الموقع، فترد بصفحة رفض أو بإعادة توجيه إلى نسخة محلية.
- داخل التطبيق. الحجب عند نقاط بعينها: إنشاء حساب، أو تسجيل دخول، أو دفع. فيفتح الموقع لكن العملية ترفض.
- في متجر التطبيقات. يستطيع ناشر التطبيق أن يحدد البلدان التي يظهر فيها. فلا يجد التطبيقَ من حسابه في متجر بلد آخر، أياً كان عنوانه.
- في المحتوى. لا يُمنع الوصول، لكن الكتالوج أو الأسعار تختلف من بلد إلى آخر.
وحين يكون المنع لسبب قانوني، يملك الموقع رمز حالة مخصصاً هو 451، وتعرّفه RFC 7725 بأنه رفض الوصول نتيجةً لطلب قانوني. لكن معظم المواقع تكتفي برمز 403 أو بصفحة عادية فيها رسالة.
لماذا تحجب الخدمات بحسب البلد
- التراخيص. حقوق الأفلام والمباريات والموسيقى تُباع بلداً بلداً. الخدمة التي اشترت حق العرض في بلد لا تملك عرضه في غيره.
- القانون والتنظيم. العقوبات الدولية، وقوانين القمار، وتراخيص الخدمات المالية، وقواعد حماية البيانات، كلها مرتبطة بالمكان.
- مكافحة الاحتيال. خدمة لا يستخدمها إلا مقيمون في بلد واحد ترى في الاتصال من الخارج خطراً أعلى. وهذا شائع في المصارف والمحافظ المحلية.
- الأسعار والضرائب. تختلف الأسعار باختلاف القدرة الشرائية والضرائب المفروضة في كل بلد.
- أسباب تشغيلية. خدمة لا توصل إلا داخل بلدها، أو لا تدعم إلا مصارفه، فتمنع غير المقيمين من البداية.
وبعض البلدان تقيّد الحجب نفسه. في الاتحاد الأوروبي تمنع اللائحة 2018/302 الحجب الجغرافي غير المبرر بين دول الاتحاد في حالات بيع محددة، وتستثني الخدمات السمعية البصرية.
الحجب الجغرافي ليس الرقابة
يختلط المفهومان كثيراً، والفرق في من يمنع وأين:
| الحجب الجغرافي | حجب الشبكة (الرقابة) | التسعير الجغرافي | |
|---|---|---|---|
| من يقرر | الخدمة نفسها | مزوّد الإنترنت أو جهة في بلدك | الخدمة نفسها |
| أين يُطبَّق | على خوادم الخدمة أو شبكة توزيعها | في شبكة بلدك، قبل أن يصل الطلب | في صفحة الأسعار والدفع |
| ما تراه | رسالة «غير متاح في منطقتك» أو نسخة أخرى | انقطاع أو خطأ اتصال أو صفحة حجب | سعر مختلف للمنتج نفسه |
| ما يحدد النتيجة | العنوان الذي يصل الخدمة، مع بيانات الحساب | الشبكة التي تتصل منها | العنوان وبلد الدفع غالباً |
كيف تعرف سبب ما يحدث لك
- افتح أداة عنوانك، وانظر إلى البلد والشبكة كما تراهما قواعد البيانات. إن ظهر بلد غير بلدك، فالخطأ في تحديد موقع العنوان نفسه.
- اقرأ رسالة الرفض كما هي. «غير متاح في منطقتك» تختلف عن «تعذّر التحقق من حسابك»، والثانية لا تتعلق بالعنوان غالباً.
- جرّب شبكة أخرى، كبيانات الجوال بدلاً من Wi-Fi. إن عملت الخدمة على إحداهما فقط، فالمشكلة في عنوان تلك الشبكة.
- قارن المتصفح بالتطبيق. التطبيق قد يقرأ منطقة متجر التطبيقات أو بلد الشريحة، فيرفض حتى حين يكون العنوان صحيحاً.
ماذا تفعل
- إن كان موقع عنوانك خاطئاً فاطلب من مزوّد الإنترنت تصحيحه. المزوّد هو من ينشر بيانات نطاقاته، وشركات قواعد البيانات تقبل طلبات التصحيح أيضاً.
- اقرأ شروط الخدمة. بعضها يسمح بالاستخدام أثناء السفر، وبعضها يربط الحساب ببلد التسجيل ويمنع غيره صراحةً.
- إن كان حسابك في بلد وأنت مقيم مؤقتاً في غيره، فالاتصال بعنوان من بلد الحساب حل شائع. تذكّر أن العنوان لا يغيّر البطاقة ولا الشريحة ولا منطقة المتجر.
- تواصل مع الدعم حين يكون الرفض في التحقق أو الدفع، فهذه قرارات قد تعتمد على أكثر من العنوان.
دور syriaproxy هنا
نوفّر عنواناً سورياً حقيقياً من شبكة سيريتل للجيل الرابع داخل سوريا، وتُحلّ الأسماء هناك عبر خوادم سيريتل. يفيد ذلك من يستخدم من الخارج خدمة سورية متاحة داخل سوريا. لكنه يغيّر إشارة العنوان وحدها، ولا يغيّر بيانات حسابك ولا شريحتك.
أسئلة شائعة
هل تجاوز الحجب الجغرافي مخالف للقانون؟
يختلف من بلد إلى آخر ومن خدمة إلى أخرى. في كثير من الحالات يكون الأمر مسألة شروط استخدام بينك وبين الخدمة، لا مسألة قانون عام. اقرأ الشروط قبل أن تقرر.
لماذا يظهر موقعي في مدينة أخرى أو بلد آخر؟
لأن قاعدة البيانات تقدّر موقع النطاق كله، لا موقع جهازك. وعناوين شبكات الجوال خصوصاً كثيراً ما تُنسب إلى مدينة واحدة يعمل منها المشغّل.
العنوان صحيح لكن التطبيق ما زال يرفض، لماذا؟
لأنه يعتمد على إشارات أخرى، كمنطقة متجر التطبيقات أو بلد الشريحة أو بلد بطاقة الدفع. العنوان واحدة من هذه الإشارات فقط.
لماذا يختلف سعر الاشتراك نفسه من بلد إلى بلد؟
لأن الخدمات تسعّر بحسب السوق والضرائب في كل بلد، وتحدد بلدك من العنوان وبلد الدفع معاً.
ابحث عن أي عنوان لترى البلد والشبكة اللذين تنسبهما إليه قواعد البيانات.